Bug 98126 - [PATCH] audio/py-mutagen: Update to 1.3
Summary: [PATCH] audio/py-mutagen: Update to 1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-30 07:00 UTC by Peter Johnson
Modified: 2006-06-08 17:48 UTC (History)
0 users

See Also:


Attachments
file.diff (2.61 KB, patch)
2006-05-30 07:00 UTC, Peter Johnson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Johnson 2006-05-30 07:00:29 UTC
Version 1.3 of py-mutagen includes better support for Ogg and no longer has a
dependency on py-vorbis.
Comment 1 Edwin Groothuis freebsd_committer 2006-05-30 07:04:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Peter Johnson 2006-05-30 08:24:00 UTC
In addition, need to update my patch a bit to further fix pkg-plist (I 
missed the bin and man installed files):

--- pkg-plist.orig    Wed May 24 14:00:52 2006
+++ pkg-plist    Mon May 29 22:57:50 2006
@@ -1,3 +1,13 @@
+bin/mid3v2
+bin/mutagen-inspect
+bin/mutagen-pony
+bin/moggsplit
+bin/mid3iconv
+man/man1/mutagen-inspect.1
+man/man1/mutagen-pony.1
+man/man1/mid3v2.1
+man/man1/moggsplit.1
+man/man1/mid3iconv.1
 %%PYTHON_SITELIBDIR%%/mutagen/__init__.py
 %%PYTHON_SITELIBDIR%%/mutagen/__init__.pyc
 %%PYTHON_SITELIBDIR%%/mutagen/__init__.pyo
@@ -25,6 +35,12 @@
 %%PYTHON_SITELIBDIR%%/mutagen/mp3.py
 %%PYTHON_SITELIBDIR%%/mutagen/mp3.pyc
 %%PYTHON_SITELIBDIR%%/mutagen/mp3.pyo
+%%PYTHON_SITELIBDIR%%/mutagen/ogg.py
+%%PYTHON_SITELIBDIR%%/mutagen/ogg.pyc
+%%PYTHON_SITELIBDIR%%/mutagen/ogg.pyo
+%%PYTHON_SITELIBDIR%%/mutagen/oggflac.py
+%%PYTHON_SITELIBDIR%%/mutagen/oggflac.pyc
+%%PYTHON_SITELIBDIR%%/mutagen/oggflac.pyo
 %%PYTHON_SITELIBDIR%%/mutagen/oggvorbis.py
 %%PYTHON_SITELIBDIR%%/mutagen/oggvorbis.pyc
 %%PYTHON_SITELIBDIR%%/mutagen/oggvorbis.pyo
Comment 3 changbom.yoon 2006-06-04 07:15:57 UTC
Okay. It works good.

I approve this Problem Report.

Thanks everyone! specially, Peter :)
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2006-06-04 08:14:39 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Stefan Walter freebsd_committer 2006-06-05 14:48:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 6 Peter Johnson 2006-06-06 03:16:35 UTC
Turns out 1.3 had a bug in file handling (read after write without 
intervening seek), so they've released a new 1.4.  Updated patch 
enclosed (only PORTVERSION and distinfo changed).
-Peter

--- Makefile.orig    Wed May 24 14:00:52 2006
+++ Makefile    Mon Jun  5 19:09:16 2006
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/audio/py-mutagen/Makefile,v 1.1 2006/05/24 21:00:52 
itetcu Exp $
 
 PORTNAME=    mutagen
-PORTVERSION=    1.2
+PORTVERSION=    1.4
 CATEGORIES=    audio python
 MASTER_SITES=    http://www.sacredchao.net/~piman/software/
 PKGNAMEPREFIX=    ${PYTHON_PKGNAMEPREFIX}
@@ -17,17 +17,4 @@
 USE_PYDISTUTILS=    yes
 USE_PYTHON_PREFIX=    yes
 
-OPTIONSFILE?=    ${PORT_DBDIR}/py-${PORTNAME}/options
-
-OPTIONS=    VORBIS    "Support to tag Vorbis Files"    on
-
-.include <bsd.port.pre.mk>
-
-.if !defined(WITHOUT_VORBIS)
-RUN_DEPENDS=    
${PYTHON_SITELIBDIR}/ogg/vorbis.so:${PORTSDIR}/audio/py-vorbis
-SUB_LIST+=    VORBIS=
-.else
-SUB_LIST+=    VORBIS="@comment "
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
--- distinfo.orig    Wed May 24 14:00:52 2006
+++ distinfo    Mon Jun  5 19:10:35 2006
@@ -1,3 +1,3 @@
-MD5 (mutagen-1.2.tar.gz) = a9b6434d90fe080bcc754cf0d255f9ba
-SHA256 (mutagen-1.2.tar.gz) = 
55939672e7d91f8fc668d1349cbe53afa2216c1296cf2265f35390c4d181771b
-SIZE (mutagen-1.2.tar.gz) = 113419
+MD5 (mutagen-1.4.tar.gz) = 4a5f656d803ea371e06eaff3fbc1dfbb
+SHA256 (mutagen-1.4.tar.gz) = 
93af1dc651a96813ed5644f858a72d036877f4de19818b7308bb40e28d4cff4c
+SIZE (mutagen-1.4.tar.gz) = 203777
--- pkg-descr.orig    Wed May 24 14:00:52 2006
+++ pkg-descr    Mon May 29 22:45:58 2006
@@ -1,6 +1,8 @@
-Mutagen is an audio metadata tag reader and writer implemented in
-pure Python. It supports reading ID3v1.1, ID3v2.2, ID3v2.3, ID3v2.4,
-APEv2, and FLAC, and writing ID3v1.1, ID3v2.4, APEv2, and FLAC. It
-can also read MPEG audio and Xing headers.
+Mutagen is a Python module to handle audio metadata.  It supports
+reading ID3 (all versions), APEv2, Ogg Vorbis, FLAC, and Ogg FLAC,
+and writing ID3v1.1, ID3v2.4, APEv2, Ogg Vorbis, FLAC, and Ogg FLAC.
+It can also read MPEG audio and Xing headers, FLAC stream info
+blocks, and Ogg Vorbis and Ogg FLAC stream headers. Finally, it
+includes a module to handle generic Ogg bitstreams.
 
 WWW: http://www.sacredchao.net/quodlibet/wiki/Development/Mutagen
--- pkg-plist.orig    Wed May 24 14:00:52 2006
+++ pkg-plist    Mon May 29 22:57:50 2006
@@ -1,3 +1,13 @@
+bin/mid3v2
+bin/mutagen-inspect
+bin/mutagen-pony
+bin/moggsplit
+bin/mid3iconv
+man/man1/mutagen-inspect.1
+man/man1/mutagen-pony.1
+man/man1/mid3v2.1
+man/man1/moggsplit.1
+man/man1/mid3iconv.1
 %%PYTHON_SITELIBDIR%%/mutagen/__init__.py
 %%PYTHON_SITELIBDIR%%/mutagen/__init__.pyc
 %%PYTHON_SITELIBDIR%%/mutagen/__init__.pyo
@@ -25,6 +35,12 @@
 %%PYTHON_SITELIBDIR%%/mutagen/mp3.py
 %%PYTHON_SITELIBDIR%%/mutagen/mp3.pyc
 %%PYTHON_SITELIBDIR%%/mutagen/mp3.pyo
+%%PYTHON_SITELIBDIR%%/mutagen/ogg.py
+%%PYTHON_SITELIBDIR%%/mutagen/ogg.pyc
+%%PYTHON_SITELIBDIR%%/mutagen/ogg.pyo
+%%PYTHON_SITELIBDIR%%/mutagen/oggflac.py
+%%PYTHON_SITELIBDIR%%/mutagen/oggflac.pyc
+%%PYTHON_SITELIBDIR%%/mutagen/oggflac.pyo
 %%PYTHON_SITELIBDIR%%/mutagen/oggvorbis.py
 %%PYTHON_SITELIBDIR%%/mutagen/oggvorbis.pyc
 %%PYTHON_SITELIBDIR%%/mutagen/oggvorbis.pyo
Comment 7 Stefan Walter freebsd_committer 2006-06-08 17:47:42 UTC
State Changed
From-To: open->closed

Committed, thanks!